Skip to main content
GET
/
api
/
v1
/
authentication
/
api-key
/
scoped
CSharp (SDK)
using MeetKai.MKA1;
using MeetKai.MKA1.Types.Components;

var sdk = new SDK(bearerAuth: "<YOUR_BEARER_TOKEN_HERE>");

var res = await sdk.Auth.ApiKeys.ListAsync();

// handle response
[
  {
    "id": "<string>",
    "userId": "<string>",
    "orgId": "<string>",
    "teamId": "<string>",
    "scopes": [
      "<string>"
    ],
    "name": "<string>",
    "key": "<string>",
    "prefix": "<string>",
    "start": "<string>",
    "expiresAt": "<string>"
  }
]

Authorizations

Authorization
string
header
required

Gateway auth: send Authorization: Bearer <mka1-api-key>. For multi-user server-side integrations, you can also send X-On-Behalf-Of: <external-user-id>.

Headers

X-On-Behalf-Of
string

Optional external end-user identifier forwarded by the API gateway.

Query Parameters

orgId
string
teamId
string

Response

Keys owned by the caller

id
string
required
userId
string
required
userType
enum<string>
required
Available options:
user,
service-account
orgId
string | null
required
teamId
string | null
required
scopes
string[]
required
name
string | null
key
string
prefix
string | null
start
string | null
expiresAt
string | null